<?php
	$currDir = dirname(__FILE__);
	include("$currDir/nel.php");
	include("$currDir/defaultLang.php");
	include("$currDir/language.php");
	include("$currDir/lib.php");

	include_once("$currDir/header.php");

	/* grant access to all users who have access to the facture table */
	$order_from = get_sql_from('autorisation_change');
	if(!$order_from) exit(error_message('Access denied!', false));

	/* get invoice */
	$order_id = intval($_REQUEST['idautorisation']);
	if(!$order_id) exit(error_message('Invalid invoice ID!', false));
	
	/* retrieve facturations info */
	$order_fields = get_sql_fields('autorisation_change');
	$res = sql("select {$order_fields} from {$order_from} and idautorisation={$order_id}", $eo);
	if(!($order = db_fetch_assoc($res))) exit(error_message('Invoice not found!', false));
	
	//var_dump($order);
	
	/* retrieve order items */
	$items = array();
	$order_total = 0;
	$item_fields = get_sql_fields('autorisation_change');
	$item_from = get_sql_from('autorisation_change');
	$res = sql("select {$item_fields} from {$item_from} and autorisation_change.idautorisation={$order_id}", $eo);
	while($row = db_fetch_assoc($res)){
		$row['LineTotal'] = str_replace('$', '', $row['contre_valeur']);
		$items[] = $row;
		$order_total += $row['LineTotal'];
	}
	
	//var_dump($items);
	
	?>
	<html>
		<head>
			<title></title>
			<style type="text/css" media="print">
				input.imprimer {
					display: none;
				}
		#bas {
				position: fixed;
			bottom: 0;
			width: 100%;
		}
			</style>
		</head>
<body>

    <form method="POST" action="">

        <input type="button" value="Imprimer" class="imprimer" name="bnom" onClick="javascript:window.print()">
    </form>

</body>
	</html>	
	<img id="img1" src="images/logo.jpg" alt="edpto" style="width: 80px; float: right;">
	<h3>GEIGROUPE</h3>

	<p>Tél. + 222 41 15 12 39</p>
	<p>Web. https://geigroupe.mr<br>Email. geigroupe@geigroupe.mr</p>
	<hr>

<div class="row">
    <div class="col-sm-6 text-right">
        <!-- invoice info -->
        <h5>Date : <?php echo $order['date']; ?></h5>
        <h5>N°<?php echo $order['idautorisation']; ?></h5>
    </div>
    <div class="col-sm-6">
        <!-- customer info -->
        <h1>AUTORISATION DE CHANGE</h1>
    </div>
	    <div class="col-sm-6">
        <!-- customer info -->
        <h5>Nom et Prénom du demandeur : <?php echo $order['nom_prenom']; ?></h5>
        <h5>Nationalité : <?php echo $order['nationalite']; ?></h5>
        <h5>Profession : <?php echo $order['profession']; ?></h5>
        <h5>Adresse : <?php echo $order['adresse']; ?></h5>
        <h5>N° de compte à débiter : <?php echo $order['num_compte']; ?></h5>
        <h5>Pièces justiticatives: <?php echo $order['piece_justificative']; ?></h5>
    </div>

</div>
<!-- order items -->
<table class="table table-striped table-bordered">
    <thead>
        <th class="text-center">#</th>
        <th>Nature de l'opération</th>
        <th class="text-center">Devise</th>
        <th class="text-center">Montant</th>
        <th class="text-center">Cours</th>
        <th class="text-center">Commission</th>
        <th class="text-center">Contre valeur</th>
    </thead>

    <tbody>
        <?php foreach($items as $i => $item){ ?>
        <tr>
            <td class="text-center"><?php echo ($i + 1); ?></td>
            <td class="text-center"><?php echo $item['nature_operation']; ?></td>
            <td class="text-center"><?php echo $item['nature_devises']; ?></td>
            <td class="text-center"><?php echo $item['montant_chiffre']; ?></td>
            <td class="text-center"><?php echo $item['cours']; ?></td>
            <td class="text-center"><?php echo $item['commission']; ?></td>
            <td class="text-center"><?php echo $item['contre_valeur']; ?></td>
        </tr>
        <?php } ?>
    </tbody>

    <tfoot></tfoot>
</table>
		<span id="in-words"><b>Arrêté le présent règlement à la somme de:</b></span>
		<?php
		include_once('nel.php');
		echo enlettres("$order_total");
		?>
		<span id="in-words"><b> fcfa</b></span>
		<br><br><br>
		<center>
				<p><u>Signature du demandeur</u></p>
		</center>
	<div id="bas">
	<center>
		<p>
		<hr>
			Générale des Entreprises Informatique<br>
			Nouakchott - Mauritanie<br>
		</p>
	</center>
	</div>

<?php

	include_once("$currDir/footer.php");

?>
